System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.ComponentModel.TypeConverter(typeof(System.Drawing.PointConverter)) System.Runtime.InteropServices.ComVisible(true)

To convert a to a , use .

Represents an ordered pair of integer x- and y-coordinates that defines a point in a two-dimensional plane.

- Constructor
  To be added

  Initializes a new instance of the class from a .

  A that specifies the coordinates for the new .
  1.0.5000.0
  2.0.0.0
- Constructor

  The low-order 16 bits of the parameter specify the horizontal x-coordinate and the higher 16 bits specify the vertical y-coordinate for the new .

  Initializes a new instance of the class using coordinates specified by an integer value.

  A 32-bit integer that specifies the coordinates for the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified coordinates.

  The horizontal position of the point.
  The vertical position of the point.
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Drawing.Point `` ``

  The adds the and of the specified to the and values of the specified point.

  Adds the specified to the specified .

  The that is the result of the addition operation.

  The to add. The to add
- Method
  System.Drawing.Point `` To be added

  Converts the specified to a by rounding the values of the to the next higher integer values.

  The this method converts to.

  The to convert. 1.0.5000.0 2.0.0.0
- Field
  System.Drawing.Point To be added

  Represents a that has and values set to zero.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Specifies whether this contains the same coordinates as the specified .

  true if is a and has the same coordinates as this .

  The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Int32

  You should avoid depending on for unique values, as two objects with the same values for their and properties may return the same hash code. This behavior could change in a future release.

  Returns a hash code for this .

  An integer value that specifies a hash value for this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether this is empty.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.Browsable(false)
- Method
  2.0.0.0
  System.Void ``

  This method adjusts the and values of this to the sum of the and values of this and .

  Translates this by the specified .

  The used offset this .
- Method
  System.Void `` `` To be added

  Translates this by the specified amount.

  This method does not return a value.

  The amount to offset the x-coordinate. The amount to offset the y-coordinate. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Point `` `` To be added.

  Translates a by a given .

  The translated .

  The to translate. A that specifies the pair of numbers to add to the coordinates of . 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Compares two objects. The result specifies whether the values of the and properties of the two objects are equal.

  true if the and values of and are equal; otherwise, false.

  A to compare. A to compare. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Size `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.PointF `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Compares two objects. The result specifies whether the values of the or properties of the two objects are unequal.

  true if the values of either the properties or the properties of and differ; otherwise, false.

  A to compare. A to compare. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Point `` `` To be added.

  Translates a by the negative of a given .

  A structure that is translated by the negative of a given structure.

  The to translate. A that specifies the pair of numbers to subtract from the coordinates of . 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Point `` To be added

  Converts the specified to a object by rounding the values to the nearest integer.

  The this method converts to.

  The to convert. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Drawing.Point `` ``

  The subtracts the and of the specified from the and values of the specified point.

  Returns the result of subtracting specified from the specified .

  The that is the result of the subtraction operation.

  The to be subtracted from. The to subtract from the .
- Method
  System.String To be added

  Converts this to a human-readable string.

  A string that represents this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Point `` To be added

  Converts the specified to a by truncating the values of the .

  The this method converts to.

  The to convert. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets or sets the x-coordinate of this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets or sets the y-coordinate of this .

  1.0.5000.0
  2.0.0.0